Index: /branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1257)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1258)
@@ -453,10 +453,8 @@
 
 /**
- - initialize top-level CU
- - internal buffers are already created
- - set values before encoding a CU
- .
- \param  pcPic     picture (TComPic) class pointer
- \param  iCUAddr   CU address
+ Initialize top-level CU: create internal buffers and set initial values before encoding the CTU.
+ 
+ \param  pcPic       picture (TComPic) class pointer
+ \param  ctuRsAddr   CTU address in raster scan order
  */
 Void TComDataCU::initCtu( TComPic* pcPic, UInt ctuRsAddr )
@@ -571,10 +569,12 @@
 
 
-/** initialize prediction data with enabling sub-CTU-level delta QP
-*\param  uiDepth  depth of the current CU
-*\param  qp     qp for the current CU
-*- set CU width and CU height according to depth
-*- set qp value according to input qp
-*- set last-coded qp value according to input last-coded qp
+/** Initialize prediction data with enabling sub-CTU-level delta QP.
+*   - set CU width and CU height according to depth
+*   - set qp value according to input qp
+*   - set last-coded qp value according to input last-coded qp
+*
+* \param  uiDepth            depth of the current CU
+* \param  qp                 qp for the current CU
+* \param  bTransquantBypass  true for transquant bypass
 */
 Void TComDataCU::initEstData( const UInt uiDepth, const Int qp, const Bool bTransquantBypass )
@@ -1493,6 +1493,6 @@
 
 
-/** Check whether the CU is coded in lossless coding mode
- * \param   uiAbsPartIdx
+/** Check whether the CU is coded in lossless coding mode.
+ * \param   absPartIdx
  * \returns true if the CU is coded in lossless coding mode; false if otherwise
  */
@@ -1504,8 +1504,8 @@
 
 /** Get allowed chroma intra modes
-*\param   uiAbsPartIdx
-*\param   uiModeList  pointer to chroma intra modes array
-*\returns
-*- fill uiModeList with chroma intra modes
+*   - fills uiModeList with chroma intra modes
+*
+*\param   [in]  uiAbsPartIdx
+*\param   [out] uiModeList pointer to chroma intra modes array
 */
 Void TComDataCU::getAllowedChromaDir( UInt uiAbsPartIdx, UInt uiModeList[NUM_CHROMA_MODE] )
@@ -1531,6 +1531,7 @@
 
 /** Get most probable intra modes
-*\param   uiAbsPartIdx
+*\param   uiAbsPartIdx    partition index
 *\param   uiIntraDirPred  pointer to the array for MPM storage
+*\param   compID          color component ID
 *\param   piMode          it is set with MPM mode in case both MPM are equal. It is used to restrict RD search at encode side.
 *\returns Number of MPM
@@ -2253,10 +2254,9 @@
 }
 
-/** Derives the partition index of neighbouring bottom right block
- * \param [in]  eCUMode
- * \param [in]  uiPartIdx
- * \param [out] ruiPartIdxRB
+/** Derive the partition index of neighbouring bottom right block
+ * \param [in]  uiPartIdx     current partition index
+ * \param [out] ruiPartIdxRB  partition index of neighbouring bottom right block
  */
-Void TComDataCU::deriveRightBottomIdx( UInt  uiPartIdx,      UInt&      ruiPartIdxRB )
+Void TComDataCU::deriveRightBottomIdx( UInt uiPartIdx, UInt &ruiPartIdxRB )
 {
   ruiPartIdxRB      = g_auiRasterToZscan [g_auiZscanToRaster[ m_absZIdxInCtu ] + ( ((m_puhHeight[0] / m_pcPic->getMinCUHeight())>>1) - 1)*m_pcPic->getNumPartInCtuWidth() +  m_puhWidth[0] / m_pcPic->getMinCUWidth() - 1];
@@ -2335,12 +2335,5 @@
 }
 
-/** Constructs a list of merging candidates
- * \param uiAbsPartIdx
- * \param uiPUIdx
- * \param uiDepth
- * \param pcMvFieldNeighbours
- * \param puhInterDirNeighbours
- * \param numValidMergeCand
- */
+//! Construct a list of merging candidates
 Void TComDataCU::getInterMergeCandidates( UInt uiAbsPartIdx, UInt uiPUIdx, TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours, Int& numValidMergeCand, Int mrgCandIdx )
 {
@@ -2698,7 +2691,6 @@
 
 /** Check whether the current PU and a spatial neighboring PU are in a same ME region.
- * \param xN, xN   location of the upper-left corner pixel of a neighboring PU
+ * \param xN, yN   location of the upper-left corner pixel of a neighboring PU
  * \param xP, yP   location of the upper-left corner pixel of the current PU
- * \returns Bool
  */
 Bool TComDataCU::isDiffMER(Int xN, Int yN, Int xP, Int yP)
@@ -2717,9 +2709,8 @@
 }
 
-/** calculate the location of upper-left corner pixel and size of the current PU.
- * \param partIdx  PU index within a CU
- * \param xP, yP   location of the upper-left corner pixel of the current PU
- * \param PSW, nPSH    size of the curren PU
- * \returns Void
+/** Calculate the location of upper-left corner pixel and size of the current PU.
+ * \param partIdx       PU index within a CU
+ * \param xP, yP        location of the upper-left corner pixel of the current PU
+ * \param nPSW, nPSH    size of the current PU
  */
 Void TComDataCU::getPartPosition( UInt partIdx, Int& xP, Int& yP, Int& nPSW, Int& nPSH)
@@ -3018,7 +3009,7 @@
 }
 
-/** Test whether the current block is skipped
- * \param uiPartIdx Block index
- * \returns Flag indicating whether the block is skipped
+/** Test whether the block at uiPartIdx is skipped.
+ * \param uiPartIdx Partition index
+ * \returns true if the current the block is skipped
  */
 Bool TComDataCU::isSkipped( UInt uiPartIdx )
@@ -3242,11 +3233,4 @@
 }
 
-/**
- * \param eRefPicList
- * \param uiCUAddr
- * \param uiPartUnitIdx
- * \param riRefIdx
- * \returns Bool
- */
 Bool TComDataCU::xGetColMVP( RefPicList eRefPicList, Int ctuRsAddr, Int uiPartUnitIdx, TComMv& rcMv, Int& riRefIdx )
 {
@@ -3362,10 +3346,4 @@
 }
 
-/**
- * \param eCUMode
- * \param uiPartIdx
- * \param ruiPartIdxCenter
- * \returns Void
- */
 Void TComDataCU::xDeriveCenterIdx( UInt uiPartIdx, UInt& ruiPartIdxCenter )
 {
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.h	(revision 1257)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.h	(revision 1258)
@@ -449,5 +449,5 @@
   Bool          isIntra            ( UInt uiPartIdx )  const { return m_pePredMode[ uiPartIdx ] == MODE_INTRA;                                              }
   Bool          isInter            ( UInt uiPartIdx )  const { return m_pePredMode[ uiPartIdx ] == MODE_INTER;                                              }
-  Bool          isSkipped          ( UInt uiPartIdx );                                                     ///< SKIP (no residual)
+  Bool          isSkipped          ( UInt uiPartIdx );                                                     ///< returns true, if the partiton is skipped
   Bool          isBipredRestriction( UInt puIdx );
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.cpp	(revision 1257)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.cpp	(revision 1258)
@@ -140,12 +140,5 @@
 // HADAMARD with step (used in fractional search)
 // --------------------------------------------------------------------------------------------------------------------
-/** get weighted Hadamard cost for 2x2 block
- * \param *piOrg
- * \param *piCur
- * \param iStrideOrg
- * \param iStrideCur
- * \param iStep
- * \returns Distortion
- */
+//! get weighted Hadamard cost for 2x2 block
 Distortion xCalcHADs2x2w( const WPScalingParam &wpCur, const Pel *piOrg, const Pel *piCur, Int iStrideOrg, Int iStrideCur, Int iStep )
 {
@@ -184,12 +177,5 @@
 
 
-/** get weighted Hadamard cost for 4x4 block
- * \param *piOrg
- * \param *piCur
- * \param iStrideOrg
- * \param iStrideCur
- * \param iStep
- * \returns Distortion
- */
+//! get weighted Hadamard cost for 4x4 block
 Distortion xCalcHADs4x4w( const WPScalingParam &wpCur, const Pel *piOrg, const Pel *piCur, Int iStrideOrg, Int iStrideCur, Int iStep )
 {
@@ -300,12 +286,5 @@
 
 
-/** get weighted Hadamard cost for 8x8 block
- * \param *piOrg
- * \param *piCur
- * \param iStrideOrg
- * \param iStrideCur
- * \param iStep
- * \returns Distortion
- */
+//! get weighted Hadamard cost for 8x8 block
 Distortion xCalcHADs8x8w( const WPScalingParam &wpCur, const Pel *piOrg, const Pel *piCur, Int iStrideOrg, Int iStrideCur, Int iStep )
 {
@@ -425,8 +404,5 @@
 
 
-/** get weighted Hadamard cost
- * \param *pcDtParam
- * \returns Distortion
- */
+//! get weighted Hadamard cost
 Distortion TComRdCostWeightPrediction::xGetHADsw( DistParam* pcDtParam )
 {
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.h	(revision 1257)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComRdCostWeightPrediction.h	(revision 1258)
@@ -41,8 +41,4 @@
 
 #include "CommonDef.h"
-#include "TComPattern.h"
-#include "TComMv.h"
-#include "TComRdCost.h"
-#include "TComSlice.h"
 
 class DistParam;
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1257)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1258)
@@ -582,5 +582,5 @@
 
     assert(numPicTotalCurr > 0);
-    // genral tier and level limit:
+    // general tier and level limit:
     assert(numPicTotalCurr <= 8);
 
@@ -2560,9 +2560,4 @@
 }
 
-/** parse syntax infomation
- *  \param pchFile syntax infomation
- *  \returns false if successful
- */
-
 static Void outputScalingListHelp(std::ostream &os)
 {
Index: /branches/SHM-dev/source/Lib/TLibVideoIO/TVideoIOYuv.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibVideoIO/TVideoIOYuv.cpp	(revision 1257)
+++ /branches/SHM-dev/source/Lib/TLibVideoIO/TVideoIOYuv.cpp	(revision 1258)
@@ -230,12 +230,16 @@
  * either 8bit or 16bit little-endian lsb-aligned words.
  *
- * @param dst     destination image
- * @param fd      input file stream
- * @param is16bit true if input file carries > 8bit data, false otherwise.
- * @param stride  distance between vertically adjacent pixels of dst.
- * @param width   width of active area in dst.
- * @param height  height of active area in dst.
- * @param pad_x   length of horizontal padding.
- * @param pad_y   length of vertical padding.
+ * @param dst          destination image plane
+ * @param fd           input file stream
+ * @param is16bit      true if input file carries > 8bit data, false otherwise.
+ * @param stride444    distance between vertically adjacent pixels of dst.
+ * @param width444     width of active area in dst.
+ * @param height444    height of active area in dst.
+ * @param pad_x444     length of horizontal padding.
+ * @param pad_y444     length of vertical padding.
+ * @param compID       chroma component
+ * @param destFormat   chroma format of image
+ * @param fileFormat   chroma format of file
+ * @param fileBitDepth component bit depth in file
  * @return true for success, false in case of error
  */
@@ -381,12 +385,16 @@
 
 /**
- * Write width*height pixels info fd from src.
- *
- * @param fd      output file stream
- * @param src     source image
- * @param is16bit true if input file carries > 8bit data, false otherwise.
- * @param stride  distance between vertically adjacent pixels of src.
- * @param width   width of active area in src.
- * @param height  height of active area in src.
+ * Write an image plane (width444*height444 pixels) from src into output stream fd.
+ *
+ * @param fd         output file stream
+ * @param src        source image
+ * @param is16bit    true if input file carries > 8bit data, false otherwise.
+ * @param stride444  distance between vertically adjacent pixels of src.
+ * @param width444   width of active area in src.
+ * @param height444  height of active area in src.
+ * @param compID       chroma component
+ * @param srcFormat    chroma format of image
+ * @param fileFormat   chroma format of file
+ * @param fileBitDepth component bit depth in file
  * @return true for success, false in case of error
  */
